Subject: bug#33256: nxml-mode completion of attribute no longer adds =" after emacs 26

From: Martin Fowler <[email-masked]>
Date: Thu, 4 Apr 2019 19:38:48 -0400

My apologies on this, I think I neglected to test this bug with no initialization file. I tried it with `emacs -q` and got the behavior you describe (which I agree is reasonable). I got the behavior I mentioned with all my inits loaded, so I expect it's some interaction between nxml-mode and one of those. That will be a fun exercise to try and figure out ;-)

Again my apologies for not having tested this properly before raising the bug.

Martin Fowler
http://martinfowler.com

> On Apr 3, 2019, at 23:48, Noam Postavsky <[email-masked]> wrote:
> 
> tags 33256 + unreproducible
> quit
> 
> Martin Fowler <[email-masked]> writes:
> 
>> I've used nxml-mode for a long time. When typing in an xml attribute
>> and using completion, emacs would respond by completing the attribute
>> and also adding =" to allow me to immediately type the value of the
>> xml attribute. I recently upgraded to emacs 26, and it now only
>> completes the attribute hame. The original completion behavior (adding
>> =") is described in the manual at
>> <https://www.gnu.org/software/emacs/manual/html_node/nxml-mode/Completion.html>
>> .
>> 
>> To replicate
>> 
>> - open an html file in nxml mode
>> - ensure it's tied to the html schema file 
>> - type "<html xmln"
>> - trigger completion (C-M-i, or whatever calls completion-at-point)
>> 
>> expected behavior (pre emacs 26)
>> 
>> line shows:
>> 
>>    <html xmlns="
>> 
>> actual behavior, line shows
>> 
>>   <html xmlns
> 
> I can't reproduce this exactly, with 26.1 and later I get
> 
>     <html xmlns="-!-"
> 
> (where -!- represents point).  While the doc does say there should only
> be an opening quote added, this is arguably an improvement, so...